Results 1 to 7 of 7
  1. #1
    Join Date
    Feb 2005
    Posts
    50
    Plugin Contributions
    0

    Default Admin still says need to upgrade, after upgrade

    Hello,

    My Zen Cart said:

    New Version Available v1.3.5 :: New Release with Important Security Fixes
    Download Here


    I've just upgraded from 1.3.2 to 1.3.5 and it still says:

    New Version Available v1.3.5 :: New Release with Important Security Fixes
    Download Here


    If I click on 'Version', it says:

    Zen Cart 1.3.0.2
    Database Patch Level: 1.3.5

    So I ran the upgrade again & still the message.
    Any suggestions? Is it safe to ignore this message?

    Thanks in advance
    Steve

  2. #2
    Join Date
    Mar 2005
    Posts
    536
    Plugin Contributions
    4

    Default Re: Admin still says need to upgrade, after upgrade

    From memory its the last line of the sql that updates the version number.
    The last time I updated my store I had the same problem.
    I checked, rechecked and checked again that all the other sql changes had been made, the files were there etc, then I just ran the last line of the sql (that updates the version number) by itself to update it.
    My humble contributions....
    Info at a Glance Admin, Alternative Header & Improved Whos Online + Currently working on the next!
    If you have to think..... your obviously looking at the admin :)

  3. #3
    Join Date
    Feb 2005
    Posts
    50
    Plugin Contributions
    0

    Default Re: Admin still says need to upgrade, after upgrade

    Thanks for your reply.

    So, are you saying that the error message is due an incorrect version setting, rather than to a failed upgrade?

  4. #4
    Join Date
    Mar 2005
    Posts
    536
    Plugin Contributions
    4

    Default Re: Admin still says need to upgrade, after upgrade

    It was in my case yes, it MIGHT not be in yours, its something you might want to check.
    My humble contributions....
    Info at a Glance Admin, Alternative Header & Improved Whos Online + Currently working on the next!
    If you have to think..... your obviously looking at the admin :)

  5. #5
    Join Date
    Feb 2005
    Posts
    50
    Plugin Contributions
    0

    Default Re: Admin still says need to upgrade, after upgrade

    Hi,

    OK, this gets stranger.

    Looking in the database I find that:

    Zen-Cart Main :: project_version_major = 1
    Zen-Cart Database :: project_version_minor = 3.5



    But,
    In the admin site, if I click on 'Version', it says:

    Zen Cart 1.3.0.2
    Database Patch Level: 1.3.5

    Any ideas?

  6. #6
    Join Date
    Jun 2003
    Posts
    33,814
    Plugin Contributions
    0

    Default Re: Admin still says need to upgrade, after upgrade

    Compare the version.php files, more than likely you did not update it.

  7. #7
    Join Date
    Feb 2005
    Posts
    50
    Plugin Contributions
    0

    Default Re: Admin still says need to upgrade, after upgrade

    Thanks for your reply but please could you clarify:

    Compare which version.php files?
    Do you mean compare the one now in <zen-root>/includes with the one in the back-up I took before upgrading?
    If so, then yes, they are the same.

    So, the upgrade process did not upgrade version.php
    Does this mean the upgrade process failed, or just that it didn't update the version number?

    Is there somewhere I can check for an obvious difference between the versions?
    (I had already manually cmpleted the security patch).

 

 

Similar Threads

  1. v139d After DB upgrade, still getting "database upgrade required" message
    By wygk in forum Upgrading from 1.3.x to 1.5.x
    Replies: 5
    Last Post: 6 Oct 2012, 08:53 PM
  2. My hosting company says I need to upgrade
    By sophyandres in forum PayPal Express Checkout support
    Replies: 1
    Last Post: 2 Jun 2012, 10:07 PM
  3. upgrade 1.3.9d to e my admin area still says i need to upgrade
    By cjbwebs in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 5 Aug 2010, 10:31 AM
  4. New upgrade still saying I need to upgrade when in admin
    By JacobBushnell in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 5 Jun 2010, 09:00 AM
  5. after upgrade... shows I need to upgrade???
    By crabdance in forum Upgrading from 1.3.x to 1.3.9
    Replies: 9
    Last Post: 13 Dec 2007, 02:28 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR